Get All Audit Logs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

logs = fulcrum.audit_logs.search(url_params={'per_page':5,'page':1})

for log in logs['audit_logs']:
  # print(log) # entire audit log
  print(log['description']) # just the audit log description
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.auditLogs.all({'per_page':5,'page':1})
  .then((page) => {
    page.objects.forEach(log => {
      // console.log(log); // entire audit log
      console.log(log.description); // just the audit log description
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')
logs = client.audit_logs.all({'per_page':5,'page':1})

for log in logs.objects do
  # puts log # entire log definition
  puts log['description'] # just the log description
end
Query Params
string

Valid options include: export, data_export, membership, layer, project, audit_log, role, form, data_share, classification_set, authorization, choice_list, import, organization, workflow, webhook

string

The available actions vary by log type but a complete list of valid actions includes: update, create, permission_update, download, delete, reset, share_enabled, share_disabled, update_credit_card, plan_change, billing_emails_change, update_storage, add_credit, change_default.

string

Filter by ip address of the of the audit log action. The ip address must be an exact match in order to return in values from this filter.

string

Filter by user responsible for the logged changes. This parameter must be the Fulcrum ID for the user in question, which can be obtained from the membership API.

date-time

Return log entries since the given unix timestamp.

date-time

Return log entries before the given unix timestamp.

int32
Defaults to 1

The page number requested

int32
Defaults to 20000

Number of items per page

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json